conky.config = {
--background= false,
--xftfont= 'Sans:size=9',
--xftfont= 'Liberation Sans:size=9',
--xftfont= 'DejaVu Sans Mono:size=9',
--font= 'TeX Gyre Cursor:style=bold:size=10',
font= 'DejaVu Sans Mono:style=regular:size=9',
use_xft= true,
xftalpha= 0.7,
update_interval= 2,
update_interval_on_battery= 5.0,
total_run_times= 0,
own_window= true,
own_window_type= 'desktop',
own_window_transparent= true,
own_window_hints= 'undecorated,below,sticky,skip_taskbar,skip_pager',
--max_port_monitor_connections= 256,
double_buffer= true,
minimum_width= 450,
maximum_width= 500,
--short_units= false,
draw_shades= false,
draw_outline= false,
draw_borders= false,
draw_graph_borders= false,
default_color= 'white',
--default_shade_color= 'black',
--default_outline_color= 'black',
  --color0 = '999999',
	--color1 = 'cccccc',
	--color2 = 'ff0000',
	--color3 = '00ff00',
	--color4 = '0000ff',
	--color5 = 'ffcc00',
	--color6 = 'ccff00',
	--color7 = '0099cc',
	--color8 = 'cc9900',
  --color9 = '333333',
alignment= 'top_right',
gap_x= 13,
gap_y= 15,
no_buffers= true,
uppercase= false,
--diskio_avg_samples= 3,
cpu_avg_samples= 2,
net_avg_samples= 2,
override_utf8_locale= true,
out_to_console= false,
out_to_ncurses= false,
out_to_stderr= false,
out_to_x= true,
};

conky.text = [[
${texeci 31337 cat /etc/fedora-release}

#host: ${nodename} 
${no_update kernel: ${kernel}} \
${alignr}load: ${alignr}$loadavg
uptime: ${uptime}\
${if_match ${battery_percent} <= 15}\
${color ff1a21}${alignr}${blink battery: ${battery_short} $battery_time}\
$else\
${color white}${alignr}battery: ${battery_short} $battery_time\
$endif${color white}
cpu: ${cpu}%  ${freq} MHz \
${goto 155}core 0: ${texeci 10 bc <<< "`cat /sys/class/thermal/thermal_zone0/temp` / 1000"}°C  \
core 1: ${texeci 10 bc <<< "`cat /sys/class/thermal/thermal_zone1/temp` / 1000"}°C \
#${alignr}temp: ${acpitemp}°C
${alignr}fan: ${ibm_fan} rpm 

${cpugraph cpu1 20,110} ${cpugraph cpu2 20,110 -t 9966ff 6699ff} \
${cpugraph cpu3 20,110} ${alignr}${cpugraph cpu4 20,110 -t 9966ff 6699ff}
${goto 25}cpu1: ${cpu cpu1}% \
${goto 140}cpu2: ${cpu cpu2}% \
${goto 255}cpu3: ${cpu cpu3}% \
${goto 370}cpu4: ${cpu cpu4}%

/ ${goto 70}${fs_used_perc /}% = ${fs_used /} / ${fs_size /} \
${goto 260}ram ${alignr}$memperc% = $mem / $memmax
/home ${goto 70}${fs_used_perc /home}% = ${fs_used /home} / ${fs_size /home} \
${goto 260}swap ${alignr}$swapperc% = $swap / $swapmax
#
${if_mounted /run/media/fedora/data}data \
${goto 70} ${fs_used_perc /run/media/fedora/data}% = \
${fs_used /run/media/fedora/data} / \
${fs_size /run/media/fedora/data}
${endif}
#
top cpu ${goto 130} pid ${goto 180} cpu% \
${goto 260}top mem${alignr}pid   mem%
${color0}${top name 1}${goto 125}${top pid 1}${goto 175}${top cpu 1}  \
${color0}${goto 260}${top_mem name 1}${alignr}${top_mem pid 1}${top_mem mem 1}
${color0}${top name 2}${goto 125}${top pid 2}${goto 175}${top cpu 2}  \
${color0}${goto 260}${top_mem name 2}${alignr}${top_mem pid 2}${top_mem mem 2}
${color0}${top name 3}${goto 125}${top pid 3}${goto 175}${top cpu 3}  \
${color0}${goto 260}${top_mem name 3}${alignr}${top_mem pid 3}${top_mem mem 3}
${color0}${top name 4}${goto 125}${top pid 4}${goto 175}${top cpu 4}  \
${color0}${goto 260}${top_mem name 4}${alignr}${top_mem pid 4}${top_mem mem 4}
${color0}${top name 5}${goto 125}${top pid 5}${goto 175}${top cpu 5}  \
${color0}${goto 260}${top_mem name 5}${alignr}${top_mem pid 5}${top_mem mem 5}

${if_up wlp3s0}\
${color 009999}wlp3s0 \
${goto 77}${color 6699ff}Q: ${color white}${wireless_link_qual_perc wlp3s0}% \
${goto 150}${color 00cc88} ${addr wlp3s0} \
${color 6699ff}${alignr}ap mac: ${color 9966ff}${wireless_ap wlp3s0}
${color 6699ff}gw: ${color 00cc88}${gw_ip} \
#get the external ip using opendns :(
${goto 150}${color 00cc88} ${texeci 30 dig +short myip.opendns.com @208.67.222.222} \
${color 6699ff}${alignr}mac: ${color 9966ff}${texeci 30 ifconfig wlp3s0 | grep ether | sed '{s/ *......//;s/..txque..*//}'}
${color 6699ff}channel: ${color 9966ff}${wireless_channel wlp3s0}    \
${color 6699ff}freq: ${color0}${wireless_freq wlp3s0}    \
${color 6699ff}mode: ${color 9966ff}${wireless_mode wlp3s0}  \
${alignr}${color 6699ff}essid: ${color 9966ff}${wireless_essid wlp3s0}
#
${color white}total ${totaldown wlp3s0}\
${goto 135}down ${downspeed wlp3s0}\
${goto 225}↓↑${goto 270}up ${upspeed wlp3s0}\
${alignr}total ${totalup wlp3s0}
${downspeedgraph wlp3s0 25,225 9966ff 6699ff -l} · \
${alignr}${upspeedgraph wlp3s0 25,225 9966ff 6699ff -l}
#
${if_up enp0s25}\
${color 009999}enp0s25 \
${goto 140}${color 00cc88} ${addr enp0s25} \
${color 6699ff}${alignr}mac: ${color 9966ff}${texeci 300 ifconfig enp0s25 | grep ether | sed '{s/ *......//;s/..txque..*//}'}
${color 6699ff}gw: ${color 00cc88}${gw_ip} \
#get the external ip using opendns
${goto 140}${color 00cc88} ${texeci 15 dig +short myip.opendns.com @208.67.222.222} \
${alignr}${color 6699ff}dns: ${color 9966ff}${texeci 30 cat /etc/resolv.conf | grep nameserver | sed '{s/ *nameserver *//;s///}' | head -1}
${color white}total ${totaldown enp0s25}\
${goto 135}down ${downspeed enp0s25}\
${goto 225}↓↑${goto 270}up ${upspeed enp0s25}\
${alignr}total ${totalup enp0s25}
${downspeedgraph enp0s25 25,225 9966ff 6699ff -l} · \
${alignr}${upspeedgraph enp0s25 25,225 9966ff 6699ff -l}
${endif}\
${if_gw}\
${color}rhost ${goto 110} inbound: ${tcp_portmon 1 32767 count}    outbound: ${tcp_portmon 32768 61000 count}    all: ${tcp_portmon 1 65535 count} ${alignr}rport
${tcp_portmon 1 65535 rip  0}${alignr 1}${tcp_portmon 1 65535 rport  0}
${tcp_portmon 1 65535 rip  1}${alignr 1}${tcp_portmon 1 65535 rport  1}
${tcp_portmon 1 65535 rip  2}${alignr 1}${tcp_portmon 1 65535 rport  2}
${tcp_portmon 1 65535 rip  3}${alignr 1}${tcp_portmon 1 65535 rport  3}
${tcp_portmon 1 65535 rip  4}${alignr 1}${tcp_portmon 1 65535 rport  4}
${tcp_portmon 1 65535 rip  5}${alignr 1}${tcp_portmon 1 65535 rport  5}
${tcp_portmon 1 65535 rip  6}${alignr 1}${tcp_portmon 1 65535 rport  6}
${tcp_portmon 1 65535 rip  7}${alignr 1}${tcp_portmon 1 65535 rport  7}
${tcp_portmon 1 65535 rip  8}${alignr 1}${tcp_portmon 1 65535 rport  8}
${tcp_portmon 1 65535 rip  9}${alignr 1}${tcp_portmon 1 65535 rport  9}
${endif}
]]
